Subject: Re: [PATCH 1/1] gnu: machine: hetzner: Fix deployment on smaller instances.

From: Fabio Natali <[email-masked]>
Date: Mon, 24 Feb 2025 12:06:25 +0000

On 2025-02-23, 13:22 +0100, Roman Scherer <[email-masked]> wrote:
> * gnu/machine/hetzner.scm (hetzner-machine-rescue-install-os): Avoid out of
> disk space error by bind mounting /mnt/tmp/gnu/store to /gnu/store.
> * tests/machine/hetzner.scm: Test with smaller instances.
> * doc/guix.texi: Mention unsupported instance.

Hi All.

Thanks Roman for your work on 'hetzner-environment-type', it's really
cool that 'guix deploy' gets expanded with other integrations and
features. Also thanks for getting back to me so quickly when I reached
out the other day.

I confirm that the patch works well for me. I was able to provision
various cx22 (and above) Hetzner instances with it.

Just a cosmetic thing, here it should be "rescue":

> +# Small instance don't have much disk space.  Bind mount the store of the
> +# resuce system to the tmp directory of the new Guix system.

Thanks, best wishes, Fabio.

-- 
Fabio Natali
https://fabionatali.com